#
# This file is part of Invenio.
# Copyright (C) 2016-2018 CERN.
#
# Invenio is free software; you can redistribute it and/or modify it
# under the terms of the MIT License; see LICENSE file for more details.

"""Add field to record consent to share personal data for access request."""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "ffd725001655"
down_revision = "a2a6819f14f1"
branch_labels = ()
depends_on = "cfcb8cb78708"


def upgrade():
    """Upgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "rdm_records_access_request_tokens",
        sa.Column(
            "consent_to_share_personal_data", sa.String(length=255), nullable=False
        ),
    )
    # ### end Alembic commands ###


def downgrade():
    """Downgrade database."""
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column(
        "rdm_records_access_request_tokens", "consent_to_share_personal_data"
    )
    # ### end Alembic commands ###
